Subject: Re: [syzbot] [bpf?] [trace?] possible deadlock in bpf_trace_printk

From: syzbot <[email-masked]>
Date: Wed, 22 Mar 2023 02:29:19 -0700

syzbot suspects this issue was fixed by commit:

commit 05b24ff9b2cfabfcfd951daaa915a036ab53c9e1
Author: Jiri Olsa <[email-masked]>
Date:   Fri Sep 16 07:19:14 2022 +0000

    bpf: Prevent bpf program recursion for raw tracepoint probes

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=10a653d6c80000
start commit:   a335366bad13 Merge tag 'gpio-fixes-for-v6.0-rc6' of git://..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=9e66520f224211a2
dashboard link: https://syzkaller.appspot.com/bug?extid=c49e17557ddb5725583d
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=16e27480880000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=12737fbf080000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: bpf: Prevent bpf program recursion for raw tracepoint probes

For information about bisection process see: https://goo.gl/tpsmEJ#bisection